%define name perl-GTK2
%define version 0.0.cvs.2003.03.04.1
%define release 2mdk

Summary: Perl module for the gtk+-2.x library
Name:    %{name}
Version: %{version}
Release: %{release}
License: GPL or Artistic
Group:   Development/GNOME and GTK+
Source:  gtk2-perl.tar.bz2
URL: http://gtk2-perl.sf.net/
BuildRequires: gtk+2-devel
BuildRequires: perl-devel
BuildRequires: perl-Inline
BuildRequires: perl-Parse-RecDescent
Requires: gtk+2 libgtk+2
Conflicts: drakxtools < 9.1-15mdk
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module lets you use the gtk+-2.x graphic library from Perl. It is
very object-oriented and easy to use.


%package -n %{name}-devel
Summary: Headers for developing extension programs that will use %{name}
Group: Development/Perl
Requires: %{name} = %{version}

%description -n %{name}-devel
This package contains the headers that programmers will need to develop
extension programs/libraries using %{name}.


%prep
%setup -q -n gtk2-perl
rm -rf `find -type d -name CVS`

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Os -s"
export GTK2_PERL_CFLAGS="$RPM_OPT_FLAGS"
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"
%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}
mkdir -p $RPM_BUILD_ROOT/usr/lib/libDrakX
mkdir -p $RPM_BUILD_ROOT%_includedir
install -m 644 ./Gtk2/include/* $RPM_BUILD_ROOT%_includedir/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc docs
%{_mandir}/*/*
%{_libdir}/perl5/vendor_perl/*/*/Gtk2*
%{_libdir}/perl5/vendor_perl/*/*/auto/*

%files -n %{name}-devel
%defattr(-, root, root)
%{_includedir}/*


%changelog
* Thu Mar 06 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.03.04.1-2mdk
- move ugtk2 in drakxtools

* Tue Mar 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.03.04.1-1mdk
- more Gtk2::TreeView support in order to fix #1776

* Thu Feb 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.02.22.1-2mdk
- add stuff for harddrake2

* Sat Feb 22 2003 Pixel <pixel@mandrakesoft.com> 0.0.cvs.2003.02.22.1-1mdk
- snapshot (add Gtk2::SpinButton->new_with_range)

* Fri Feb 21 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.02.12.1-5mdk
- snapshot (should fix some embedded segfaults)

* Fri Feb 21 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.02.12.1-4mdk
- snapshot for the fix of #1445

* Thu Feb 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.02.12.1-3mdk
- fix #1651 (gc)

* Wed Feb 19 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.02.12.1-2mdk
- ugtk2 fixes for i18n

* Wed Feb 12 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.02.12.1-1mdk
- update (getting rid of TODO: XSetInputFocus if force_focus and TODO:
  ensure focus stuff)

* Tue Feb 11 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.02.11.1-1mdk
- scrollbars and scrolled windows fixes (by gc, rive gauche: une autre idee du luxe)

* Mon Feb 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.02.10.1-1mdk
- cvs snapshot
- ugtk2: add support for new mcc

* Fri Feb  7 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.02.07.2-1mdk
- snapshot (fixes problem with GalaxyStyle)

* Fri Feb  7 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.02.07.1-1mdk
- snapshot

* Mon Feb  3 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.02.03.1-2mdk
- snapshot (fixes the bug crashing mousedrake inside MCC)

* Wed Jan 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.01.27.1-2mdk
- update ugtk2 for current drakxtools & mcc

* Mon Jan 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.01.27.1-1mdk
- snapshot of gtk-perl
- do no sent USR2 to mcc for embedded logdrake (special case)
- mcc support for better aligned text on icons

* Tue Jan 21 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.01.21.1-2mdk
- gcsux
- snapshot ugtk2.pm

* Tue Jan 21 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.01.21.1-1mdk
- snapshot

* Fri Jan 10 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.01.10.1-1mdk
- snapshot

* Wed Jan  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.01.08.1-1mdk
- snapshot
- include files in a sub -devel package

* Tue Jan 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.01.07.1-1mdk
- perl-GTK2: latest gc work
- latest ugtk2 from drakxtools

* Mon Dec 24 2002 Stefan van der Eijk <stefan@eijk.nu> 0.0.cvs.2002.12.18.1-2mdk
- BuildRequires

* Wed Dec 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2002.12.18.1-1mdk
- cvs snapshot
- add include files for gnome2 support
- make the build fast and with temporary space 100mb less
- fix buildrequires (pixel)
- ugtk2 :
  o fix wizard
  o fixes for mcc

* Fri Dec 13 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2002.12.13.1-1mdk
- cvs snapshot

* Wed Dec 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2002.12.11.1-1mdk
- cvs snapshot for mcc

* Mon Dec  9 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2002.12.09.1-1mdk
- cvs snapshot

* Tue Dec  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2002.12.03.1-1mdk
- cvs snapshot

* Tue Nov 26 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2002.11.26.1-1mdk
- first mdk package (USE WITH CARE, THIS IS PRE-ALPHA QUALITY SOFTWARE)
